Skip to main content
GET
/
v2
/
fungible
/
assets
cURL
curl --request GET \
  --url https://api.skip.build/v2/fungible/assets
import requests

url = "https://api.skip.build/v2/fungible/assets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.skip.build/v2/fungible/assets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "chain_to_assets_map": {
    "osmosis-1": {
      "assets": [
        {
          "denom": "uosmo",
          "chain_id": "osmosis-1",
          "origin_denom": "uosmo",
          "origin_chain_id": "osmosis-1",
          "trace": "",
          "symbol": "OSMO",
          "name": "OSMO",
          "logo_uri": "https://raw.githubusercontent.com/cosmostation/chainlist/main/chain/osmosis/asset/osmo.png",
          "decimals": 6,
          "coingecko_id": "osmosis",
          "description": "The native token of Osmosis",
          "recommended_symbol": "OSMO"
        }
      ]
    }
  }
}
{
  "code": 3,
  "message": "Invalid chain_id",
  "details": []
}
{
  "code": 2,
  "message": "internal server error",
  "details": []
}

Query Parameters

chain_ids
string[]

Chain IDs to limit the response to, defaults to all chains if not provided

native_only
boolean

Whether to restrict assets to those native to their chain

include_no_metadata_assets
boolean

Whether to include assets without metadata (symbol, name, logo_uri, etc.)

include_cw20_assets
boolean

Whether to include CW20 tokens

include_evm_assets
boolean

Whether to include EVM tokens

include_svm_assets
boolean

Whether to include SVM tokens

only_testnets
boolean

Whether to display only assets from testnets in the response

Response

A map of chain_id to assets

chain_to_assets_map
object

Map of chain-ids to array of assets supported on the chain